Subject: [IPsec] Rechartering discussion in Hiroshima

From: Paul Hoffman <[email-masked]>
Date: Sat, 31 Oct 2009 16:34:19 -0700

Greetings again. As Yaron and I have mentioned on the mailing list in the past few weeks, one of the next big tasks for the WG is to decide if we want to ask the IESG if we can add new items to the WG charter. To that end, we asked for proposals for which there were already Internet Drafts, or for which there would be Internet Drafts soon.

As you can see at <http://wiki.tools.ietf.org/wg/ipsecme/trac/wiki/RecharterNov2009>, we got seven such proposals. Our next task is to start discussing whether or not the WG as a whole would want to include these in our charter. We will have the first discussion of that at the IETF meeting in Hiroshima. The tenor of the discussion will be whether or not the WG wants to take on the work, not the technical specifics of the drafts listed.

It is important to remember a few things about rechartering a WG:

- If we want to amend our charter, we do so in a request to the IESG and the IAB. As RFC 2418 explains:
   Rechartering (other than revising milestones) a working group follows
   the same procedures that the initial chartering does (see section 2).
   The revised charter must be submitted to the IESG and IAB for
   approval.  As with the initial chartering, the IESG may approve new
   charter as-is, it may request that changes be made in the new charter
   (including having the Working Group continue to use the old charter),
   or it may decline to approve the rechartered working group.  In the
   latter case, the working group is disbanded.

- A request to recharter contains a text description of the intended work, not just the name of an Internet Draft that the WG wants to use as the basis for work.

- Our current charter (<http://www.ietf.org/dyn/wg/charter/ipsecme-charter.html>) says:
   The WG shall not consider adding new work items until one or more
   of its documents progress to IESG evaluation. At that time, the WG can
   propose rechartering.
We have indeed progressed many documents to IESG evaluation, and a few beyond. Yaron and I intend to keep the total of WG items to six, as in our current charter.

- There needs to be sufficient interest in a proposed item before we put it in the charter. We thought we had such interest for the original set of work items, but Yaron and I have had to do a bit of public grovelling to get sufficient reviews for some of them. We will attempt to avoid that for any new charter items, meaning that we will be strict about promises for review.

Given this, please start to take a look at the items at <http://wiki.tools.ietf.org/wg/ipsecme/trac/wiki/RecharterNov2009>. We will have presentations on them in Hiroshima, and more discussion on the list after that. We will then poll about the items, and Yaron and I will propose a way forwards based on the results of the poll.

--Paul Hoffman, Director
--VPN Consortium